Bug Tracker – Bug 1219

Weapon Desyncs in Master

Last modified: 2018-12-23 17:25:55 CST
Bug 1219 - Weapon Desyncs in Master
Summary: Weapon Desyncs in Master
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Server & Client (show other bugs)
Version: 0.7.x (Old)
Hardware: All All
: P1 normal
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks: 1231
  Show dependency tree
 
Reported: 2017-01-18 23:09 CST by HeX_Vulture
Modified: 2018-12-23 17:25 CST (History)
0 users

See Also:

Attachments

Recorded with 96e5db43 but Crashes Instantly (517.58 KB, application/x-zip-compressed)
2017-01-18 23:09 CST, HeX_Vulture
Details
desync demo 2 udm3 (850.72 KB, application/x-zip-compressed)
2017-02-13 20:53 CST, HeX_Vulture
Details
Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description HeX_Vulture 2017-01-18 23:09:55 CST
Created attachment 556 [details]
Recorded with 96e5db43 but Crashes Instantly

Playing a Master client on a Master server is not smooth. Weapon sprites will randomly desync with shots being inconsistent and weapon raising being off. Oddly, using the Master client on a release 0.7.0 server works fine, making me believe it was a recent server change.

The demo I have provided crashes the Master (96e5db43) client instantly, but plays back fine in 0.7.0 release.
Comment 1 HeX_Vulture 2017-02-13 20:53:34 CST
Created attachment 560 [details]
desync demo 2 udm3
Comment 2 HeX_Vulture 2017-02-13 20:54:22 CST
Attached demos shows major desyncs at 3:25-3:40 and 4:25-4:50. Other smaller desyncs are all over the demo though
Comment 3 HeX_Vulture 2018-12-23 17:25:55 CST
We have not encountered the issue since Hyper_Eye attempted a fix with revision https://github.com/odamex/odamex/commit/944b4800640e4a0c5b2cc5566470df84b9a096bf

I am marking resolved. Will re-open if we encounter it again